import { CommandInteraction, SlashCommandBuilder } from "discord.js";

export const enabled: boolean = true

export const data = new SlashCommandBuilder()
    .setName("breadalert")
    .setDescription("Controls event alerting using the Bread Alert subsystem")
    .addSubcommand((subcommand) => 
        subcommand
            .setName("list")
            .setDescription("List the current Bread Alert active alerts")
            .addIntegerOption(option => 
                option
                    .setName("count")
                    .setDescription("The number of future alerts to return, default 5")
                    .setRequired(false)
            )
    )
    .addSubcommand(subcommand =>
        subcommand
            .setName("add")
            .setDescription("Add a new Bread Alert")
            .addStringOption(option =>
                option
                    .setName("name")
                    .setDescription("The name of the event, must be unique")
                    .setRequired(true)
            )
            .addStringOption(option =>
                option
                    .setName("date")
                    .setDescription("The date and time of the event in YYYY-MM-DD HH:MM:SS format")
                    .setRequired(true)
            )
            .addStringOption(option =>
                option
                    .setName("notifications")
                    .setDescription("A comma separated list of time offsets that determine when to alert prior to the event")
                    .setRequired(false)
            )
    )
    .addSubcommand(subcommand =>
        subcommand
            .setName("delete")
            .setDescription("Delete a Bread Alert")
            .addStringOption(option =>
                option
                    .setName("name")
                    .setDescription("The name of the event to remove")
            )
    )

export async function execute(interaction: CommandInteraction) {
    return interaction.reply("NOT IMPLEMENTED!")
}